# ChangeLog for net-misc/dhcpcd
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-misc/dhcpcd/ChangeLog,v 1.87 2006/04/11 13:54:51 uberlord Exp $

*dhcpcd-2.0.4-r1 (11 Apr 2006)

  11 Apr 2006; Roy Marples <uberlord@gentoo.org>
  +files/dhcpcd-2.0.4-exit.patch, +dhcpcd-2.0.4-r1.ebuild:
  Fix a regression in dhcpcd-2.0.4 where we would exit with a zero status
  if we failed to get a lease. Also, we now report timeout errors to
  stderr as well as syslog.

*dhcpcd-2.0.4 (07 Apr 2006)

  07 Apr 2006; Roy Marples <uberlord@gentoo.org> +dhcpcd-2.0.4.ebuild:
  New release with inbuilt resolvconf support and
  better error reporting when opening files.

  13 Mar 2006; <ticho@gentoo.org> dhcpcd-2.0.3.ebuild:
  Stable on x86, bug #125828.

  12 Mar 2006; Jason Wever <weeve@gentoo.org> dhcpcd-2.0.3.ebuild:
  Stable on SPARC wrt bug #125828.

  12 Mar 2006; Luis Medinas <metalgod@gentoo.org> dhcpcd-2.0.3.ebuild:
  Stable on amd64. See bug #125828.

  12 Mar 2006; Fernando J. Pereda <ferdy@gentoo.org> dhcpcd-2.0.3.ebuild:
  Stable on alpha, wrt bug #125828. Tested by Thomas Cort <tcort@cs.ubishops.ca>

  12 Mar 2006; Chris White <chriswhite@gentoo.org> ChangeLog:
  Fixig manifest signing.

  12 Mar 2006; Chris White <chriswhite@gentoo.org> dhcpcd-2.0.3.ebuild:
  Marked 2.0.3 ppc stable for bug #125828.

  12 Mar 2006; Markus Rothe <corsair@gentoo.org> dhcpcd-2.0.3.ebuild:
  Stable on ppc64; bug #125828

*dhcpcd-2.0.3 (10 Mar 2006)

  10 Mar 2006; Roy Marples <uberlord@gentoo.org> +dhcpcd-2.0.3.ebuild:
  New release, fixes #124543 and #124675.

  27 Feb 2006; Rene Nussbaumer <killerfox@gentoo.org> dhcpcd-2.0.2.ebuild:
  Stable on hppa. See bug #124239.

  27 Feb 2006; Mark Loeser <halcy0n@gentoo.org> dhcpcd-2.0.2.ebuild:
  Stable on x86

  27 Feb 2006; Stephen Bennett <spb@gentoo.org> dhcpcd-2.0.2.ebuild:
  Alpha stable

  27 Feb 2006; Simon Stelling <blubb@gentoo.org> dhcpcd-2.0.2.ebuild:
  stable on amd64

  27 Feb 2006; Gustavo Zacarias <gustavoz@gentoo.org> dhcpcd-2.0.2.ebuild:
  Stable on sparc wrt #124239

  27 Feb 2006; Tobias Scherbaum <dertobi123@gentoo.org> dhcpcd-2.0.2.ebuild:
  ppc stable

  27 Feb 2006; Markus Rothe <corsair@gentoo.org> dhcpcd-2.0.2.ebuild:
  Stable on ppc64

*dhcpcd-2.0.2 (27 Feb 2006)

  27 Feb 2006; Roy Marples <uberlord@gentoo.org> +dhcpcd-2.0.2.ebuild:
  New upstream release.

*dhcpcd-2.0.1 (22 Jan 2006)

  22 Jan 2006; Roy Marples <uberlord@gentoo.org> +dhcpcd-2.0.1.ebuild:
  New version, fixes gcc-4 compile warnings and -L ConfigDir option.

  17 Sep 2005; Roy Marples <uberlord@gentoo.org>
  -files/dhcpcd-1.3.22_p4-gcc2.patch,
  -files/dhcpcd-1.3.22_p4-gentoo-config.patch,
  -files/dhcpcd-1.3.22_p4-man.patch,
  -files/dhcpcd-1.3.22_p4-no-iface-down.diff,
  -files/dhcpcd-1.3.22_p4-optionFQDN.patch,
  -files/dhcpcd-1.3.22_p4-routemetric.patch,
  -files/dhcpcd-1.3.22_p4-security.patch, -dhcpcd-1.3.22_p4-r11.ebuild,
  -dhcpcd-1.3.22_p4-r12.ebuild:
  Punted old versions - no more -z "release lease but keep cache" option :)

  15 Sep 2005; Aron Griffis <agriffis@gentoo.org> dhcpcd-2.0.0.ebuild:
  Mark 2.0.0 stable on alpha

  08 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> dhcpcd-2.0.0.ebuild:
  Stable on mips.

  06 Sep 2005; Roy Marples <uberlord@gentoo.org> dhcpcd-2.0.0.ebuild:
  Warn that the debug USE flag enables good debug output but does
  not actually configure the interface or setup /etc/resolv.conf

  03 Sep 2005; Markus Rothe <corsair@gentoo.org> dhcpcd-2.0.0.ebuild:
  Stable on ppc64

  03 Sep 2005; Michael Hanselmann <hansmi@gentoo.org> dhcpcd-2.0.0.ebuild:
  Stable on ppc.

  31 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org> dhcpcd-2.0.0.ebuild:
  Stable on sparc

  31 Aug 2005; Roy Marples <uberlord@gentoo.org> dhcpcd-2.0.0.ebuild:
  Stable on amd64 and x86
  
  Added ~arm ~hppa ~390 due to invalid keyword drop

  15 Aug 2005; Aron Griffis <agriffis@gentoo.org> dhcpcd-2.0.0.ebuild:
  add ~alpha ~ia64

  14 Aug 2005; Markus Rothe <corsair@gentoo.org> dhcpcd-2.0.0.ebuild:
  Added ~ppc64

  12 Aug 2005; David Holm <dholm@gentoo.org> dhcpcd-2.0.0.ebuild:
  Readded to ~ppc. Please don't remove it without filing a proper bug report.

  08 Aug 2005; Jason Wever <weeve@gentoo.org> dhcpcd-2.0.0.ebuild:
  Added ~sparc keyword as it was dropped against policy.

  31 Jul 2005; Aaron Walker <ka0ttic@gentoo.org> dhcpcd-2.0.0.ebuild:
  Added ~mips.

*dhcpcd-2.0.0 (28 Jul 2005)

  28 Jul 2005; Roy Marples <uberlord@gentoo.org>
  +files/dhcpcd-2.0.0-gcc2.patch, +dhcpcd-2.0.0.ebuild:
  New upstream version.

  24 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/dhcpcd-1.3.22_p4-gcc2.patch, dhcpcd-1.3.22_p4-r12.ebuild:
  Fix building with gcc2.

  12 Jul 2005; Stephen Bennett <spb@gentoo.org> dhcpcd-1.3.22_p4-r11.ebuild:
  mips stable for #98394

  11 Jul 2005; Bryan Østergaard <kloeri@gentoo.org>
  dhcpcd-1.3.22_p4-r11.ebuild:
  Stable on alpha + ia64, bug 98394.

  11 Jul 2005; Markus Rothe <corsair@gentoo.org>
  dhcpcd-1.3.22_p4-r11.ebuild:
  Stable on ppc64 (bug #98394)

  10 Jul 2005; Tobias Scherbaum <dertobi123@gentoo.org>
  dhcpcd-1.3.22_p4-r11.ebuild:
  ppc stable, bug #98394

  10 Jul 2005; Jason Wever <weeve@gentoo.org> dhcpcd-1.3.22_p4-r11.ebuild:
  Stable on SPARC wrt bug #98394.

  10 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  dhcpcd-1.3.22_p4-r11.ebuild:
  Stable on hppa. bug #98394

*dhcpcd-1.3.22_p4-r11 (10 Jul 2005)

  10 Jul 2005; Roy Marples <uberlord@gentoo.org>
  +files/dhcpcd-1.3.22_p4-security.patch, 
  +dhcpcd-1.3.22_p4-r12.ebuild, -dhcpcd-1.3.22_p4-r7.ebuild,
  -dhcpcd-1.3.22_p4-r9.ebuild, -dhcpcd-1.3.22_p4-r10.ebuild,
  +dhcpcd-1.3.22_p4-r11.ebuild:
  Fixed a potential security hole #98394
  Taken from the Debian patchset by Simon Kelly
  Punted old ebuilds. r5 becomes r11, r10 becomes r12 - both have fix

  Stable on x86 and amd64

*dhcpcd-1.3.22_p4-r10 (03 Jun 2005)

  03 Jun 2005; Roy Marples <uberlord@gentoo.org>
  +files/dhcpcd-1.3.22_p4-gentoo-config.patch, +dhcpcd-1.3.22_p4-r10.ebuild:
  dhcpcd now writes a more sane /etc/{resolv,ntp,yp}.conf
  It also doesn't clobber those files anymore if there is no need to based on
  the DHCP response.
  dhcpcd now supports the -e option to change where it stores
  {resolv,ntp,yp}.conf - default is /etc.
  dhcpcd now inserts the interface name into the .sv files incase dhcpcd runs on
  more than one interface.

*dhcpcd-1.3.22_p4-r9 (01 Jun 2005)

  01 Jun 2005; Roy Marples <uberlord@gentoo.org>
  files/dhcpcd-1.3.22_p4-optionFQDN.patch,
  files/dhcpcd-1.3.22_p4-routemetric.patch, -dhcpcd-1.3.22_p4-r8.ebuild,
  +dhcpcd-1.3.22_p4-r9.ebuild:
  Made routemetric and FQDN patches work together

*dhcpcd-1.3.22_p4-r8 (01 Jun 2005)

  01 Jun 2005; Roy Marples <uberlord@gentoo.org>
  +files/dhcpcd-1.3.22_p4-man.patch,
  +files/dhcpcd-1.3.22_p4-optionFQDN.patch,
  +files/dhcpcd-1.3.22_p4-routemetric.patch, +metadata.xml,
  +dhcpcd-1.3.22_p4-r8.ebuild:
  Add route metric option -m - fixes #76694 thanks to Andy Dustman
  man page buglet caused by drobbins patch - fixes #78839
  Allow dhcpcd to use the FQDN option - fixes #64307 thanks to Kevin F. Quinn

*dhcpcd-1.3.22_p4-r7 (04 Nov 2004)

  04 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  -dhcpcd-1.3.22_p4-r6.ebuild, +dhcpcd-1.3.22_p4-r7.ebuild:
  Version bump to move dhcpcd back to /sbin.

*dhcpcd-1.3.22_p4-r6 (03 Nov 2004)

  03 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  dhcpcd-1.3.22_p4-r5.ebuild, +dhcpcd-1.3.22_p4-r6.ebuild:
  Switch to using econf / make install destdir.

  01 Nov 2004; Joshua Kinard <kumba@gentoo.org> dhcpcd-1.3.22_p4-r5.ebuild:
  Marked stable on mips.

  15 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  dhcpcd-1.3.22_p4-r5.ebuild:
  Stable on sparc

  14 Sep 2004; Guy Martin <gmsoft@gentoo.org> dhcpcd-1.3.22_p4-r5.ebuild:
  Stable on x86.

  18 Aug 2004; Aron Griffis <agriffis@gentoo.org> dhcpcd-1.3.22_p4-r5.ebuild:
  stable on alpha and ia64

  01 Jul 2004; Jon Hood <squinky86@gentoo.org> dhcpcd-1.3.22_p4-r4.ebuild,
  dhcpcd-1.3.22_p4-r5.ebuild:
  change virtual/glibc to virtual/libc

  02 Jun 2004; Travis Tilley <lv@gentoo.org> dhcpcd-1.3.22_p4-r5.ebuild:
  stable on amd64

*dhcpcd-1.3.22_p4-r5 (08 Mar 2004)
*dhcpcd-1.3.22_p4-r4 (08 Mar 2004)

  08 Mar 2004; Seemant Kulleen <seemant@gentoo.org>
  dhcpcd-1.3.22_p4-r2.ebuild, dhcpcd-1.3.22_p4-r3.ebuild,
  dhcpcd-1.3.22_p4-r4.ebuild, dhcpcd-1.3.22_p4-r5.ebuild:
  Forced a version bump on these ebuilds. Basically, -r2 is now -r4 and -r3 is
  now -r5. The reason for the revision bump was to make this package PROVIDE
  virtual/dhcp. Closes a long-standing bloat-reduction request made on
  gentoo-dev mailing list by: William Hubbs <kc5eiv@kc5eiv.homeip.net> at
  http://article.gmane.org/gmane.linux.gentoo.devel/11579

  01 Mar 2004; Tom Gall <tgall@gentoo.org> dhcpcd-1.3.22_p4-r3.ebuild;
  for ppc64 call gnuconfig_update

  10 Feb 2004; Brandon Low <lostlogic@gentoo.org> dhcpcd-1.3.22_p4-r3.ebuild:
  Nonfunctional change to close bug 29235

*dhcpcd-1.3.22_p4-r3 (18 Nov 2003)

  18 Nov 2003; Guy Martin <gmsoft@gentoo.org> dhcpcd-1.3.22_p4-r3.ebuild:
  Added the -o options which prevents dhcpcd to bring the interface down
  on exit.

*dhcpcd-1.3.22_p4-r2 (03 Nov 2003)

  03 Nov 2003; Mike Frysinger <vapier@gentoo.org> :
  Fix ntp drift file location (for now) #32490.

*dhcpcd-1.3.22_p4-r1 (06 Sep 2003)

  19 Oct 2003; Martin Holzer <mholzer@gentoo.org> dhcpcd-1.3.22_p4-r1.ebuild:
  adding DEPEND="virtual/glibc" Closes #31478.

  09 Oct 2003; Alexander Gabert <pappy@gentoo.org> dhcpcd-1.3.22_p4-r1.ebuild:
  removed hardened-gcc -lc

  03 Oct 2003; Alexander Gabert <pappy@gentoo.org> dhcpcd-1.3.22_p4-r1.ebuild:
  added -static -lc for propolice

  02 Oct 2003; Mike Frysinger <vapier@gentoo.org> :
  USE=static support #29207.

  17 Sep 2003; Tavis Ormandy <taviso@gentoo.org> dhcpcd-1.3.22_p4-r1.ebuild:
  stable on alpha

  06 Sep 2003; Daniel Robbins <drobbins@gentoo.org> dhcpcd-1.3.22_p4-r1.ebuild:
  added bug 23428 patch from Alwyn Schoeman <alwyn@smart.com.ph>, which is a
  great little patch. Also made dhcpcd FHS compliant using an LFS patch, which
  allows us to address the dhcpcd issues on the 1.4 release LiveCD runtime.

*dhcpcd-1.3.22_p4 (04 Jan 2003)

  16 Apr 2003; Guy Martin <gmsoft@gentoo.org> dhcpcd-1.3.22_p4.ebuild :
  Readded stuff to workaround the ./configure error.
  Marked stable on hppa.

  02 Apr 2003; Christian Birchinger <joker@gentoo.org>
  dhcpcd-1.3.22_p4.ebuild:
  Added stable sparc keyword

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> dhcpcd-1.3.22_p4.ebuild :
  Added stable mips keyword to the ebuild.

  04 Jan 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Version bump

*dhcpcd-1.3.22_p3-r3 (04 Jan 2003)

  26 Feb 2003; Guy Martin <gmsoft@gentoo.org> dhcpcd-1.3.22_p3-3.ebuild :
  Added CBUILD=$CHOST for hppa due to a ./configure error.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> dhcpcd-1.3.22_p3-r3.ebuild :
  Added hppa to keywords.

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> dhcpcd-1.3.22_p3-r3.ebuild :
  Added stable mips keyword to the ebuild.

  04 Jan 2003; Daniel Ahlberg <aliz@gentoo.org> dhcpcd-1.3.22_p3-r3.ebuild :
  Removed installation of pcmcia network files. Marked stable becuse of security update.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*dhcpcd-1.3.22_p3-r2 (04 Dec 2002)

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> dhcpcd-1.3.22_p3-r2.ebuild :
  Added stable mips keyword to the ebuild.

  04 Dec 2002; Donny Davies <woodchip@gentoo.org> dhcpcd-1.3.22_p3-r1.ebuild :
  Added a fix to force the pidfile into /var/run.

*dhcpcd-1.3.22_p3-r1 (31 Oct 2002)

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> dhcpcd-1.3.22_p3-r1.ebuild :
  Added stable mips keyword to the ebuild.

  12 Nov 2002; Will Woods <wwoods@gentoo.org> dhcpcd-1.3.22_p3-r1.ebuild :
  Added "inherit gnuconfig" and src_unpack to fix build problems on alphaev67

  31 Oct 2002; Brandon Low <lostlogic@gentoo.org> dhcpcd-1.3.22_p3-r1.ebuild :

  The installation of dhcpcd binary got in the wrong place somehow, fixed.

*dhcpcd-1.3.22_p3 (29 Oct 2002)

  30 Oct 2002; Brandon Low <lostlogic@gentoo.org> dhcpcd-1.3.20_p13.ebuild dhcpcd-1.3.22_p3.ebuild:

  Fix package version and various ebuild fixes.

  29 Oct 2002; Brandon Low <lostlogic@gentoo.org> dhcpcd-1.3.20_p13.ebuild :

  Version bump, apparently many upstream bugfixes.

*dhcpcd-1.3.20_p0-r1 (1 Feb 2002)

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> dhcpcd-1.3.20_p0-r1.ebuild :
  Added stable mips keyword to the ebuild.

  18 Sept 2002; SpanKY <vapier@gentoo.org> ChangeLog dhcpcd-1.3.20_p0-r1.ebuild :
  Fixed HOMEPAGE.

  6 Jul 2002; phoen][x <phoenix@gentoo.org> ChangeLog dhcpcd-1.3.20_p0-r1.ebuild :
  Added KEYWORDS, SLOT, LICENSE.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.

*dhcpcd-1.3.20_p0 (6 July 2002)

  6 Jul 2002; phoen][x <phoenix@gentoo.org> ChangeLog dhcpcd-1.3.20_p0.ebuild:
  Added KEYWORDS, SLOT, LICENSE.

